Subject: categories: Re: Laws

From: Rob Goldblatt <[email-masked]>
Date: Wed, 9 Aug 2006 14:24:01 +1200

One aspect of the categorisation of "equation"  is the approach of
Banaschewski and Herrlich.  This replaces an equation as a pair (s,t)
of terms that belong to some free algebra F by the least quotient
(coequaliser)

e: F -->> F/E

identifying s and t.

An algebra A satisfies equation (s,t) precisely when every
homomorphism   F --> A lifts across e to a homomorphism   F/E --> A.

Thus the notion of an equation becomes that of a regular epi e with
free domain, and an object satisfies such an e when it is injective
for e.

To obtain a notion intrinsic to a given category, the free domains
were replaced by domains that are regular-projective, i.e. projective
for all regular epis, this being a property enjoyed by free algebras
in categories of universal algebras.

The approach has been dualised in the coalgebra literature, with a
"coequation" being defined as a regular mono with regular-injective
codomain, and a "covariety" as the class of coalgebras that are
projective for some given class of coequations.

Some (not all) relevant references are below.

cheers,
Rob

            @Article{
bana:subc76,
            author = 	"B. Banaschewski and H. Herrlich",
            title = 	"Subcategories Defined by Implications",
            journal = 	"Houston Journal of Mathematics",
            year = 	"1976",
            volume = 	"2",
            number =	"2",
            pages = 	"149--171"
            }

            @Article{
adam:vari03,
            author = {Ji{\v{r}}{\'\i} Ad{\'a}mek and Hans-E. Porst},
            title = "On Varieties and Covarieties in a Category",
            journal = 	"Mathematical Structures in Computer Science",
            year = 	"2003",
            volume = {13},
            pages = "201-232"
            }

            @Techreport{
awod:coal00,
            author =	"Steve Awodey and Jesse Hughes",
            title =	"The Coalgebraic Dual of {B}irkhoff's Variety
Theorem",
            institution = "Department of Philosophy, Carnegie Mellon
University",
            year =	"2000",
            number =	"CMU-PHIL-109",
            note =  "\url{http://phiwumbda.org/~jesse/papers/
index.html}"
            }

On 8/08/2006, at 1:36 AM, Tom Leinster wrote:

> Dear category theorists,
>
> Here's something that I don't understand.  People sometimes talk about
> algebraic structures "satisfying laws".  E.g. let's take groups.
> Being
> abelian is a law; it says that the equation xy = yx holds.  A group G
> "satisfies no laws" if
>
>     whenever X is a set and w, w' are distinct elements of the free
>     group F(X) on X, there exists a homomorphism f: F(X) ---> G
>     such that f(w) and f(w') are distinct.
>
> For example, an abelian group cannot satisfy no laws, since you
> could take
> X = {x, y}, w = xy, and w' = yx.  There are various interesting
> examples
> of groups that satisfy no laws.
>
> To be rather concrete about it, you could define a "law satisfied
> by G" to
> be a triple (X, w, w') consisting of a set X and elements w, w' of F
> (X),
> such that every homomorphism F(X) ---> G sends w and w' to the same
> thing.
>  A law is "trivial" if w = w'.  Then "satisfies no laws" means
> "satisfies
> only trivial laws".
>
> You could then say: given a group G, consider the groups that
> satisfy all
> the laws satisfied by G.  (E.g. if G is abelian then all such
> groups will
> be abelian.)  This is going to be a new algebraic theory.
>
> What bothers me is that I feel there must be some categorical story
> I'm
> missing here.  Everything above is very concrete; for instance, it's
> heavily set-based.  What's known about all this?  In particular,
> what's
> known about the process described in the previous paragraph,
> whereby any
> theory T and  T-algebra G give rise to a new theory?
>
> Thanks,
> Tom
>
>
>
>